UTFDataFormatException (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.io
Class UTFDataFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.io.UTFDataFormatException

    @TransactionType(value=NOT_SUPPORTED)
    public class UTFDataFormatException

extends IOException

Signals that a malformed UTF-8 string has been read in a data input stream or by any class that implements the data input interface. See the `writeUTF` method for the format in which UTF-8 strings are read and written.

Direct instances of this exception class are not bound to any context and can be passed between contexts without any restrictions. Objects created and returned by the methods of this class are owned by the caller. In particular, a call to the `Throwable.getMessage()` returns a String instance bound to the owner context of the caller.

See Runtime Environment Specification for the Java Card Platform, Connected Edition, chapter 7 for details regarding transfer of ownership.

Since:
  JDK1.0, CLDC 1.0, Java Card 3.0
See Also:
  `DataInput`, `DataInputStream.readUTF(java.io.DataInput)`, `IOException`

Constructor Summary
`UTFDataFormatException()` Constructs a `UTFDataFormatException` with `null` as its error detail message.
`UTFDataFormatException(String s)` Constructs a `UTFDataFormatException` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UTFDataFormatException

    public UTFDataFormatException()

  Constructs a `UTFDataFormatException` with `null` as its error detail message.

### UTFDataFormatException

    public UTFDataFormatException(String s)

  Constructs a `UTFDataFormatException` with the specified detail message. The string `s` can be retrieved later by the ``Throwable.getMessage()`` method of class `java.lang.Throwable`.

  Parameters:
    `s` - the detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.